Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus Oomph Setup Model has Gone to Mars
Papyrus Oomph Setup Model has Gone to Mars [message #1421851] Fri, 12 September 2014 01:05
Christian Damus is currently offline Christian DamusFriend
Messages: 1207
Registered: July 2009
Location: Canada
Senior Member

Hi, all,

The Oomph Papyrus model is now updated for development of the Mars release.

The setup model now defines two streams:

* master -- this is the Mars development stream
* streams/1.0-maintenance -- this is the Luna 1.0.x maintenance stream

To configure an IDE for Mars development, you should:

*select either Luna or Mars version of the base package on which to build
your IDE in the first page of the setup wizard. Either should work, at least
for now. Historically it has been a dicey proposition to have an earlier
release of PDE and other tooling work on a PDE Target comprising
development builds of a later release, so YMMV
* in the second page, select the "master" stream of the Papyrus projects
that you wish to import from Git
* in the variables page, make sure that the Target Platform variable is set
to Mars. You may have to engage the "Show all variables" check-box to
access this variable. This is important, as it determines which p2
repositories are accessed to download the various Papyrus
dependencies into your PDE Target

For now, the setup model pulls the Mars nightly builds of Papyrus into
your PDE Target directly from the Papyrus HIPP build's artifacts. This
will change once we start pushing nightly Mars builds to
download.eclipse.org.

To configure an IDE for Luna maintenance development, you should:

* select the Luna or Mars version of the base package on which to build
your IDE in the first page of the setup wizard. If Mars cannot work with
a Luna version of the PDE Target, then that's a problem, because most
tools should be able to target past releases. Certainly PDE and EMF
can ...
* in the second page, select the "streams/1.0-maintenance" stream of
the Papyrus projects that you wish to import from Git
* in the variables page, make sure that the Target Platform variable is
set to Luna. You may have to engage the "Show all variables"
check-box to access this variable. This is important, as it determines
which p2 repositories are accessed to download the various Papyrus
dependencies into your PDE Target

The next time you re-run your setup, you *should* just get the same
version of the PDE Target content as before because you should still be
on the Luna target platform. But, you may want to go back a page in
the wizard to check your Target Platform variable first, just to be
sure.

Enjoy,

Christian
Previous Topic:Experiences with Diagram generation?
Next Topic:Layouts of the properties pages generator
Goto Forum:
  


Current Time: Fri Aug 07 19:42:38 GMT 2020

Powered by FUDForum. Page generated in 0.01908 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top